Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::gl Namespace Reference

## Detailed Description

OpenGL geometry renderer.

## Classes

class | viewer
| Abstract class for display of VRML models using OpenGL/Mesa. More...

## Typedefs

typedef GLvoid(* | TessCB )()
| Tesselator callback.

## Functions

void | tessExtrusionBegin (const GLenum type, void *const pdata)
void | tessExtrusionVertex (void *const vdata, void *const pdata)

## Typedef Documentation

typedef GLvoid( * openvrml::gl::TessCB)()

| Tesselator callback. For internal use only. As the type of callback functions given to OpenGL, this type must have C linkage.

## Function Documentation

void openvrml::gl::tessExtrusionBegin | ( | const GLenum | type,
|  | void *const | pdata
| ) |

| For internal use only.

void openvrml::gl::tessExtrusionVertex | ( | void *const | vdata,
|  | void *const | pdata
| ) |

| For internal use only.